Param (
	[String] $Text = $(),
	[String] $Algorithm = "SHA256"
)
$Hasher = [System.Security.Cryptography.HashAlgorithm]::Create($Algorithm)
$Hash = $Hasher.ComputeHash([System.Text.Encoding]::UTF8.GetBytes($Text))
[System.BitConverter]::ToString($Hash).Replace("-","")